﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v12.1, Version=12.1.20121.1005, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" id="igClientScript">
        function CellSelectionChanged(sender, eventArgs) {
            var columnKey = eventArgs.getSelectedCells().getItem(0).get_column().get_key();
            if(columnKey == "Name"){
                var name = eventArgs.getSelectedCells().getItem(0).get_text();
                var id = eventArgs.getSelectedCells().getItem(0).get_row().get_cellByColumnKey("ID").get_value();
                alert("Name: " + name + "\nID: " + id);
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <br />
        <ig:WebHierarchicalDataGrid ID="WebHierarchicalDataGrid1" runat="server" 
            AutoGenerateBands="False" AutoGenerateColumns="False" DataMember="Parent" 
            Height="350px" Width="400px" DataKeyFields="ID">
            <Bands>
                <ig:Band DataKeyFields="Address" DataMember="Child" Key="ChildBand" AutoGenerateColumns="true">
                </ig:Band>
            </Bands>
            <Columns>
                <ig:BoundDataField DataFieldName="ID" Key="ID">
                    <Header Text="ID" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="Name" Key="Name">
                    <Header Text="Name" />
                </ig:BoundDataField>
            </Columns>
            <Behaviors>
                <ig:Selection>
                    <SelectionClientEvents CellSelectionChanged="CellSelectionChanged" />
                </ig:Selection>
            </Behaviors>
        </ig:WebHierarchicalDataGrid>
    </div>
    </form>
</body>
</html>
